

x = [1; 2; 4; 5; 6];
y = [4; 7; 5; 1; 0];

xEval = linspace(0,7,1000)';

figure;
plot(x, y, 'r*');
hold('on');

for degree = 1:4
    yEval = polynomialLeastSquares(x,y,degree,xEval);
    
    plot(xEval, yEval);
end

xlabel('x');
ylabel('y');
legend('Data', 'Linear', 'Square', 'Cubic', 'Degree 4');
